com.qualcomm.ftccommon

## Class FtcAboutActivity

- java.lang.Object
- - ThemedActivity
  - - com.qualcomm.ftccommon.FtcAboutActivity

-     public class FtcAboutActivity
      extends ThemedActivity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FtcAboutActivity.AboutFragment`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FtcAboutActivity.AboutFragment` | `aboutFragment`
    `protected Context` | `context`
    `protected java.util.concurrent.Future` | `refreshFuture`
    `protected boolean` | `remoteConfigure`
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtcAboutActivity()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `getAppVersion()`
    `protected static java.lang.String` | `getBuildTime()` https://code.google.com/p/android/issues/detail?id=220039
    `static com.qualcomm.ftccommon.CommandList.AboutInfo` | `getLocalAboutInfo()`
    `java.lang.String` | `getTag()`
    `protected void` | `onCreate(Bundle savedInstanceState)`
    `protected void` | `onDestroy()`
    `protected void` | `onPause()`
    `protected void` | `onResume()`
    `protected void` | `refresh()`
    `protected void` | `refreshRemote(RobotCoreCommandList.AboutInfo aboutInfo)`
    `protected void` | `startRefreshing()`
    `protected void` | `stopRefreshing()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

    - #### context

          protected final Context context

    - #### remoteConfigure

          protected final boolean remoteConfigure

    - #### aboutFragment

          protected FtcAboutActivity.AboutFragment aboutFragment

    - #### refreshFuture

          protected java.util.concurrent.Future refreshFuture

  - ### Constructor Detail

    - #### FtcAboutActivity

          public FtcAboutActivity()

  - ### Method Detail

    - #### getTag

          public java.lang.String getTag()

    - #### getLocalAboutInfo

          public static com.qualcomm.ftccommon.CommandList.AboutInfo getLocalAboutInfo()

    - #### getAppVersion

          protected static java.lang.String getAppVersion()

    - #### getBuildTime

          protected static java.lang.String getBuildTime()

      https://code.google.com/p/android/issues/detail?id=220039

    - #### startRefreshing

          protected void startRefreshing()

    - #### stopRefreshing

          protected void stopRefreshing()

    - #### refreshRemote

          protected void refreshRemote(RobotCoreCommandList.AboutInfo aboutInfo)

    - #### refresh

          protected void refresh()

    - #### onCreate

          protected void onCreate(Bundle savedInstanceState)

    - #### onResume

          protected void onResume()

    - #### onPause

          protected void onPause()

    - #### onDestroy

          protected void onDestroy()